#流程缓存模式 redis memcached guava ehcache
cache.type=guava

#默认的缓存组名称
default.cache.name=defaultCache
#默认的缓存过期时间
default.cache.time=0
#开启二级缓存,缓存类型为guava时不建议开启
enableLocalCache=false
#开启二级缓存后,存储二级缓存的key(模糊包含)（多个用;隔开）
localCacheKey=HORIZON_DEPTS;HORIZON_USERS;HORIZON_GROUPS;HORIZON_ROLES;HORIZON_POSITIONS

#------------------guava缓存配置---------------
guava.enable=true
#瓜娃缓存数接近该值时开始移除不常用的缓存
guava.maximum.size= 1000
#当key在被“read/write”操作之后，空闲多久后被删除。（秒）
guava.expire.after.access= 604800
#当key被write(put或者reload)操作之后，空闲多久后被删除。（秒）
expire.after.write=604800

#----------------redis缓存配置----------------------------------------------------
redis.enable=false
#redis连接是否是哨兵模式
redis.sentinel=false
#redis的服务器地址,多个用分号";"隔开
#哨兵模式下,第一个redis地址写主节点,哨兵节点写在主节点后面,用分号";"隔开
redis.host=127.0.0.1
#redis的服务端口,多个用分号";"隔开
#哨兵模式下,第一个redis端口写主节点,哨兵节点写在主节点后面,用分号";"隔开
redis.port=6379
#名称,多个用分号隔开
#哨兵模式下,主节点(master)节点的名称必需设置
redis.name=
#redis连接密码,多个用分号";"隔开
#哨兵模式下,密码只需设置一个即可
redis.passWord=
#链接数据库
#redis.default.db=0
#客户端超时时间单位是毫秒
redis.timeout=100000
#最大连接数
redis.pool.maxActive=300
#最大空闲数
redis.pool.maxIdle=100
#最小空闲数
redis.pool.minIdle=20
#最大建立连接等待时间
redis.pool.maxWait=10000
#使用连接时，检测连接是否成功
redis.pool.testOnBorrow=true
#返回连接时，检测连接是否成功
redis.pool.testOnReturn=false

#---------------------memcached缓存配置-------------------------
#启用
memcache.enable=false
#服务器地址
memcached.servers=192.168.3.158:11211
#当一个服务器请求超时是否去访问另一台
memcached.failover=true
#初始链接数
memcached.initConn=5
#最小连接数
memcached.minConn=5
#最大连接数
memcached.maxConn=300
#主线程休眠时间
memcached.maintSleep=30
#禁止使用nagle算法
memcached.nagle=false
#请求缓存超时时间
memcached.socketTO=3000
#检查服务器是否失效
memcached.aliveCheck=true
#memcached队列存放缓存时的超时期限
memcached.timeOut=5
#memcached内存实例超期期限
memcached.expiryTime=30

#---------------------ehcache缓存配置-------------------------
#启用
ehcache.enable=false
#内存中最大缓存对象数
ehcache.maxElementsInMemory=1000
#是否将会对象写到磁盘中
ehcache.overflowToDisk=true
#对象是否永久有效
ehcache.eternal=false
#允许对象处于空闲状态的最长时间，以秒为单位。
ehcache.timeToLiveSeconds=604800
#对象允许存在于缓存中的最长时间
ehcache.timeToIdleSeconds=604800
#磁盘失效线程运行时间间隔
ehcahce.diskExpiryThreadIntervalSeconds=120